Bug 965370 - [abrt] gdm-3.8.1.1-3.fc19: act_user_is_loaded: Process /usr/libexec/gdm-session-worker was killed by signal 11 (SIGSEGV)
[abrt] gdm-3.8.1.1-3.fc19: act_user_is_loaded: Process /usr/libexec/gdm-sessi...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:73336bc98ca97b65299d63dd53d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 23:52 EDT by vinesh teotia
Modified: 2015-07-29 02:39 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1049965 (view as bug list)
Environment:
Last Closed: 2015-02-17 10:17:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (14.55 KB, text/plain)
2013-05-20 23:52 EDT, vinesh teotia
no flags Details
File: cgroup (152 bytes, text/plain)
2013-05-20 23:52 EDT, vinesh teotia
no flags Details
File: core_backtrace (1.67 KB, text/plain)
2013-05-20 23:52 EDT, vinesh teotia
no flags Details
File: dso_list (5.19 KB, text/plain)
2013-05-20 23:52 EDT, vinesh teotia
no flags Details
File: environ (359 bytes, text/plain)
2013-05-20 23:52 EDT, vinesh teotia
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-20 23:52 EDT, vinesh teotia
no flags Details
File: maps (24.24 KB, text/plain)
2013-05-20 23:52 EDT, vinesh teotia
no flags Details
File: open_fds (822 bytes, text/plain)
2013-05-20 23:53 EDT, vinesh teotia
no flags Details
File: proc_pid_status (903 bytes, text/plain)
2013-05-20 23:53 EDT, vinesh teotia
no flags Details

  None (edit)
Description vinesh teotia 2013-05-20 23:52:22 EDT
Version-Release number of selected component:
gdm-3.8.1.1-3.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        'gdm-session-worker [pam/gdm-password]'
crash_function: act_user_is_loaded
executable:     /usr/libexec/gdm-session-worker
kernel:         3.9.2-301.fc19.x86_64
runlevel:       N 5
uid:            0
var_log_messages: May 20 18:00:07 vinesh-teotia abrt[7166]: Saved core dump of pid 7163 (/usr/libexec/gdm-session-worker) to /var/tmp/abrt/ccpp-2013-05-20-18:00:06-7163 (18575360 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 act_user_is_loaded at act-user.c:1463
 #1 gdm_session_settings_load at gdm-session-settings.c:321
 #2 attempt_to_load_user_settings at gdm-session-worker.c:618
 #3 gdm_session_worker_update_username at gdm-session-worker.c:659
 #4 gdm_session_worker_process_pam_message at gdm-session-worker.c:756
 #5 gdm_session_worker_pam_new_messages_handler at gdm-session-worker.c:849
 #6 pam_vprompt at pam_vprompt.c:83
 #7 pam_prompt at pam_vprompt.c:111
 #8 _unix_read_password at support.c:825
 #9 pam_sm_authenticate at pam_unix_auth.c:160
Comment 1 vinesh teotia 2013-05-20 23:52:28 EDT
Created attachment 750829 [details]
File: backtrace
Comment 2 vinesh teotia 2013-05-20 23:52:33 EDT
Created attachment 750830 [details]
File: cgroup
Comment 3 vinesh teotia 2013-05-20 23:52:36 EDT
Created attachment 750831 [details]
File: core_backtrace
Comment 4 vinesh teotia 2013-05-20 23:52:41 EDT
Created attachment 750832 [details]
File: dso_list
Comment 5 vinesh teotia 2013-05-20 23:52:45 EDT
Created attachment 750833 [details]
File: environ
Comment 6 vinesh teotia 2013-05-20 23:52:50 EDT
Created attachment 750834 [details]
File: limits
Comment 7 vinesh teotia 2013-05-20 23:52:54 EDT
Created attachment 750835 [details]
File: maps
Comment 8 vinesh teotia 2013-05-20 23:53:02 EDT
Created attachment 750836 [details]
File: open_fds
Comment 9 vinesh teotia 2013-05-20 23:53:06 EDT
Created attachment 750837 [details]
File: proc_pid_status
Comment 10 Jay Finger 2013-10-08 11:50:07 EDT
I was just mucking around with dropbox from inside chrome, 

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        'gdm-session-worker [pam/gdm-password]'
crash_function: act_user_is_loaded
executable:     /usr/libexec/gdm-session-worker
kernel:         3.11.3-201.fc19.x86_64
package:        gdm-3.8.4-2.fc19
reason:         Process /usr/libexec/gdm-session-worker was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            0
Comment 11 Matthias Clasen 2014-01-07 19:43:08 EST
Looks like gdm_session_worker_update_username passes any non-NULL username down to gdm_session_settings_load, which in turn calls act_user_manager_get_user with that name. 

But act_user_manager_get_user rejects the empty string as invalid argument, and returns NULL. Things go downhill from there.
Comment 12 Fedora End Of Life 2015-01-09 13:09:51 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 10:17:07 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.